slaruv.f(3)

NAME
slaruv.f -

SYNOPSIS

  Functions/Subroutines
subroutine slaruv (ISEED, N, X)
SLARUV returns a vector of n random real numbers from a uniform distribution.

Function/Subroutine Documentation

  subroutine slaruv (integer, dimension( 4 )ISEED, integerN, real, dimension( n )X)

SLARUV returns a vector of n random real numbers from a uniform distribution.

Purpose:

     SLARUV returns a vector of n random real numbers from a uniform (0,1)
     distribution (n <= 128).
     This is an auxiliary routine called by SLARNV and CLARNV.

Parameters:
    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    N

              N is INTEGER
              The number of random numbers to be generated. N <= 128.

    X

              X is REAL array, dimension (N)
              The generated random numbers.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Further Details:

      This routine uses a multiplicative congruential method with modulus
      2**48 and multiplier 33952834046453 (see G.S.Fishman,
      'Multiplicative congruential random number generators with modulus
      2**b: an exhaustive analysis for b = 32 and a partial analysis for
      b = 48', Math. Comp. 189, pp 331-344, 1990).
      48-bit integers are stored in 4 integer array elements with 12 bits
      per element. Hence the routine is portable across machines with
      integers of 32 bits or more.

Definition at line 96 of file slaruv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.